package com.ylx.common.config;

/**
 * @author jianlong
 * @date 2024-06-05 08:59
 */
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "wechat")
public class WechatAccountConfig {

    private String mpAppId;

    private String mpAppSecret;

    /**
     * 获取微信code
     */
    private String getCodeUrl;

    /**
     * 回调地址，需要修改域名，修改http://1dcd46bb.r24.cpolar.top这个就好啦
     */
    private String redirectUrl;

    /**
     * 回调地址，需要修改域名，修改http://1dcd46bb.r24.cpolar.top这个就好啦
     */
    private String accessTokenUrl;

    /**
     * 消息模版ID(新订单待接单通知)
     */
    private String templateId1;

    /**
     * 入驻申请审核结果通知
     */
    private String templateId2;


}
