package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;


import java.io.Serializable;
import java.util.Date;

/**
 * 优惠券领取表(CouponReceive)表实体类
 *
 * @author makejava
 * @since 2024-05-14 11:25:44
 */
@Setter
@Getter
@ApiModel(value = "CouponReceive" ,description = "优惠券领取")
@Builder
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
public class CouponReceive extends Model<CouponReceive> {
    //主键
    @ApiModelProperty("id")
    private String id;

    //用户openId
    @ApiModelProperty("用户openId")
    private String openid;

    //优惠券id
    @ApiModelProperty("优惠券id")
    private String couponId;

    //过期时间
    @ApiModelProperty("过期时间")
    private Date expirationTime;

    //过期时间
    @ApiModelProperty("使用状态 0:待使用,1:使用中,2:已完成")
    private Integer useState;

    //创建时间
    @ApiModelProperty("创建时间")
    private Date createTime;

    //修改时间
    @ApiModelProperty("修改时间")
    private Date updateTime;

    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;


    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

