package com.ylx.massage.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author jianlong
 * @date 2024-04-07 15:43
 */

@Data
@ApiModel("位置信息")
public class Location {

    @ApiModelProperty("经度")
    private Double longitude;

    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("半径")
    private Double radius;

    @ApiModelProperty("条数")
    private Long limit;

}
