package com.ylx.massage.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ylx.common.annotation.Excel;
import com.ylx.common.core.domain.BaseEntity;

/**
 * 轮播图管理对象 ma_carousel_chart
 *
 * @author ylx
 * @date 2024-03-21
 */
@Data
public class MaCarouselChart extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty("id")
    private Long id;

    /** 展示顺序 */
    @ApiModelProperty("展示顺序")
    @Excel(name = "展示顺序")
    private Long carouselSort;

    /** 图片url */
    @ApiModelProperty("图片url")
    @Excel(name = "图片url")
    private String carouselUrl;

    /** 是否启用(0否1是) */
    @ApiModelProperty("是否启用(0否1是)")
    @Excel(name = "是否启用(0否1是)")
    private Long projectIsEnable;

    /** 创建人 */
    @ApiModelProperty("创建人")
    @Excel(name = "创建人")
    private Long createUser;

    /** 修改人 */
    @ApiModelProperty("修改人")
    @Excel(name = "修改人")
    private Long updateUser;

    /** 是否删除(0否1是) */
    @ApiModelProperty("是否删除(0否1是)")
    @Excel(name = "是否删除(0否1是)")
    private Long isDelete;

}
