package com.ylx.massage.domain.vo;

import com.ylx.massage.domain.Coupon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author jianlong
 * @date 2024-05-14 17:48
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "CouponReceiveVo" ,description = "优惠券vo")
public class CouponReceiveVo extends Coupon {

    @ApiModelProperty("id")
    private String id;

    //用户openId
    @ApiModelProperty("用户openId")
    private String openid;

    //优惠券id
    @ApiModelProperty("优惠券id")
    private String couponId;

    //过期时间
    @ApiModelProperty("过期时间")
    private Date expirationTime;

    //过期时间
    @ApiModelProperty("过期时间String")
    private String expirationTimeString;

}
