package com.ylx.massage.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author jianlong
 * @date 2024-09-02 18:23
 */

@Data
@ApiModel(value = "HomeBlock" ,description = "首页数据块")
public class HomeBlock {

    @ApiModelProperty("月份")
    private String month;

    @ApiModelProperty("订单数量")
    private Integer orderNum;

    @ApiModelProperty("营业额")
    private BigDecimal turnover;

    @ApiModelProperty("提现金额")
    private BigDecimal getAmount;

    @ApiModelProperty("用户总数")
    private Integer userNum;

    @ApiModelProperty("用户总数")
    private Integer jsNum;



}
