package com.ylx.massage.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author jianlong
 * @date 2024-09-04 08:49
 */
@Data
@ApiModel(value = "HomeBlocks" ,description = "首页数据")
public class HomeBlocks {


    @ApiModelProperty("上月订单数量")
    private Integer upOrderNum;

    @ApiModelProperty("当月订单数量")
    private Integer orderNum;

    @ApiModelProperty("上月营业额")
    private BigDecimal upTurnover;

    @ApiModelProperty("当月营业额")
    private BigDecimal turnover;

    @ApiModelProperty("上月提现金额")
    private BigDecimal upGetAmount;

    @ApiModelProperty("当月提现金额")
    private BigDecimal getAmount;

    @ApiModelProperty("上月用户总数")
    private Integer upUserNum;

    @ApiModelProperty("当月用户总数")
    private Integer userNum;

    @ApiModelProperty("上月技师总数")
    private Integer upJsNum;

    @ApiModelProperty("当月技师总数")
    private Integer jsNum;

}
