package com.ylx.massage.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 服务项目对象 ma_project
 *
 * @author ylx
 * @date 2024-03-20
 */
@ApiModel(value = "MaProjectListVo", description = "服务项目列表")
@Data
public class MaProjectListVo
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty("id")
    private Long id;

    /** 项目名称 */
    @ApiModelProperty("项目名称")
    private String projectName;

    /** 项目描述 */
    @ApiModelProperty("项目描述")
    private String projectDescribe;

    /** 项目时长(分) */
    @ApiModelProperty("项目时长(分)")
    private Long projectDuration;

    /** 项目选择人数 */
    @ApiModelProperty("项目选择人数")
    private Long projectUsersNum;

    /** 项目原价 */

    @ApiModelProperty("项目原价")
    private BigDecimal projectOriginalPrice;

    /** 项目现价 */
    @ApiModelProperty("项目现价")
    private BigDecimal projectCurrentPrice;

    /** 项目主图 */
    @ApiModelProperty("项目主图")
    private String projectMasterImage;

    /** 项目详情图 */
    @ApiModelProperty("项目详情图")
    private String projectDetailImage;

    /** 是否启用(0否1是) */
    @ApiModelProperty("是否启用(0否1是)")
    private String projectIsEnable;


}
