package com.ylx.massage.domain.vo;

import com.ylx.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;

/**
 * 技师对象 ma_technician
 *
 * @author ylx
 * @date 2024-03-22
 */
@Data
public class MaTechnicianAppAddVo
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty("id")
    private Long id;

    /** 姓名 */
    @ApiModelProperty("姓名")
    private String teName;

    /** 性别(0女1男) */
    @Excel(name = "性别(0女1男)")
    @ApiModelProperty("性别(0女1男)")
    private Long teSex;

    /** 电话 */
    @Excel(name = "电话")
    @ApiModelProperty("电话")
    private String tePhone;

    /** 地址 */
    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String teAddress;

    /** 年龄 */
    @Excel(name = "年龄")
    @ApiModelProperty("年龄")
    private Long teAge;

    /** 头像 */
    @Excel(name = "头像")
    @ApiModelProperty("头像")
    private String teAvatar;

    /** 生活照 */
    @Excel(name = "生活照")
    @ApiModelProperty("生活照")
    private String lifePhotos;

    /** 简介 */
    @Excel(name = "简介")
    @ApiModelProperty("简介")
    private String teBrief;

    @ApiModelProperty("项目id集合")
    private ArrayList<Long> projectIds;

}
