package com.ylx.massage.enums;

/**
 * @author 优惠类型，1:无门槛, 2:折扣, 3:满减
 * @date 2024-05-15 10:33
 */
public enum DiscountTypeEnum {

    NO_THRESHOLD(1, "无门槛"),
    DISCOUNT(2, "折扣"),
    FULL_DISCOUNT(3, "满减");

    private final Integer code;
    private final String info;

    DiscountTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
