package com.ylx.massage.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.massage.domain.vo.CouponReceiveVo;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.CouponReceive;

/**
 * 优惠券领取表(CouponReceive)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-14 11:25:44
 */
public interface CouponReceiveMapper extends BaseMapper<CouponReceive> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<CouponReceive> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<CouponReceive> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<CouponReceive> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<CouponReceive> entities);


    List<CouponReceiveVo> getByOpenId(String openid);
}

