package com.ylx.massage.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.TFareSetting;

/**
 * 车费设置表(TFareSetting)表数据库访问层
 *
 * @author makejava
 * @since 2024-08-22 17:41:00
 */
public interface TFareSettingMapper extends BaseMapper<TFareSetting> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TFareSetting> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TFareSetting> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TFareSetting> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TFareSetting> entities);

}

