package com.ylx.massage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.massage.domain.vo.HomeBlock;
import com.ylx.massage.domain.vo.TJsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.TJs;

import java.util.Date;
import java.util.List;


/**
 * 技师表 Mapper 接口
 */
@Mapper
public interface TJsMapper extends BaseMapper<TJs> {
    public Page<TJs> getAll(@Param("page")Page<TJs> page ,@Param("param") TJsVo param);

    List<HomeBlock> getBlockGetJs(@Param("start") Date start, @Param("end")Date end, @Param("deptId")String deptId);

    Integer getBlockJs(@Param("deptId")String deptId);
}
