package com.ylx.massage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ylx.massage.domain.vo.HomeBlock;
import com.ylx.massage.domain.vo.TWxUserVo;
import org.apache.ibatis.annotations.Mapper;
import com.ylx.massage.domain.TWxUser;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Mapper 接口
 */
@Mapper
public interface TWxUserMapper extends BaseMapper<TWxUser> {
    Page<TWxUserVo> selectTWxUserList(@Param("page") Page<TWxUserVo> page, @Param("user") TWxUserVo user);

    List<HomeBlock> getBlockGetUser(@Param("start") Date start, @Param("end") Date end, @Param("deptId") String deptId);

    Integer getBlockUser();


}
