package com.ylx.massage.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.YlxAlarm;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 报警记录表(YlxAlarm)表服务接口
 *
 * @author makejava
 * @since 2024-04-28 09:19:05
 */
public interface YlxAlarmService extends IService<YlxAlarm> {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    YlxAlarm queryById(String id);

    /**
     * 分页查询
     *
     * @param ylxAlarm    筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<YlxAlarm> queryByPage(YlxAlarm ylxAlarm, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param ylxAlarm 实例对象
     * @return 实例对象
     */

    /**
     * 修改数据
     *
     * @param ylxAlarm 实例对象
     * @return 实例对象
     */
    YlxAlarm update(YlxAlarm ylxAlarm);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    /**
     * 添加报警记录
     * @param ylxAlarm
     * @return
     */
    YlxAlarm addAlarm(YlxAlarm ylxAlarm);
}
