package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 招商代理(BusinessDevelopment)表实体类
 *
 * @author makejava
 * @since 2024-07-29 16:42:48
 */
@SuppressWarnings("serial")
@Data
public class BusinessDevelopment extends Model<BusinessDevelopment> {
    //id
    @ApiModelProperty("id")
    private String id;
    //代理城市
    @ApiModelProperty("代理城市")
    private String city;
    //城市资源介绍
    @ApiModelProperty("城市资源介绍")
    private String resource;
    //合伙人姓名
    @ApiModelProperty("合伙人姓名")
    private String name;
    //手机
    @ApiModelProperty("手机")
    private String phoneNum;
    //公司名称
    @ApiModelProperty("公司名称")
    private String company;

    @ApiModelProperty("openId")
    private String openId;
    //是否从事过按摩行业(0否 ,1是)
    @ApiModelProperty("是否从事过按摩行业(0否 ,1是)")
    private Integer isMassage;
    //有几年按摩行业管理经验
    @ApiModelProperty("有几年按摩行业管理经验")
    private String years;
    //是否正在经营实体门店(0否, 1是)
    @ApiModelProperty("是否正在经营实体门店(0否, 1是)")
    private Integer isEntity;

    //备注
    @ApiModelProperty("备注")
    private String remark;
    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @TableLogic
    @ApiModelProperty("是否删除0否1是")
    private Integer isDelete;




    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

