package com.ylx.massage.domain;



import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户评论表(TCommentUser)表实体类
 *
 * @author makejava
 * @since 2024-08-08 10:32:07
 */
@Data
@ApiModel(value = "TCommentUser", description = "用户评论")
@SuppressWarnings("serial")
public class TCommentUser extends Model<TCommentUser> {
    //主键
    @ApiModelProperty("主键")
    private String id;
    //评论内容
    @ApiModelProperty("评论内容")
    private String text;
    //订单号
    @ApiModelProperty("订单号")
    private String orderNo;
    //技师id
    @ApiModelProperty("技师id")
    private String jsId;
    //用户openid
    @ApiModelProperty("用户openid")
    private String openId;
    //评论时间
    @ApiModelProperty("评论时间")
    private Date commentTime;
    //技师姓名
    @ApiModelProperty("技师姓名")
    private String name;
    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

