package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 基本信息表
 * </p>
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_info")
@ApiModel(value = "TInfo", description = "基本信息表")
public class TInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("c_id")
    @ApiModelProperty("cId")
    private String cId;

    /**
     * 分销比例%
     */
    @TableField("n_bili")
    @ApiModelProperty("分销比例%")
    private Integer nBili;

    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;
    public String getcId() {
        return cId;
    }

    public void setcId(String cId) {
        this.cId = cId;
    }

    public Integer getnBili() {
        return nBili;
    }

    public void setnBili(Integer nBili) {
        this.nBili = nBili;
    }
}
