package com.ylx.massage.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 签到表(TSign)表实体类
 *
 * @author makejava
 * @since 2024-08-12 10:52:25
 */
@SuppressWarnings("serial")
@Data
@ApiModel(value = "TSign", description = "签到表")
public class TSign extends Model<TSign> {
    //主键
    @ApiModelProperty("主键")
    private String id;
    //上岗状态 -1下岗  0上岗
    @ApiModelProperty("上岗状态 -1下岗  0上岗")
    private Date layoffTime;
    //技师id
    @ApiModelProperty("技师id")
    private String jsId;
    //技师openid
    @ApiModelProperty("技师openid")
    private String openId;
    //签到时间
    @ApiModelProperty("签到时间")
    private Date singTime;
    //技师姓名
    @ApiModelProperty("技师姓名")
    private String name;

    @ApiModelProperty("在线时长(分)")
    private Integer onlineTime;

    @ApiModelProperty("部门id")
    private String deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @TableLogic
    @ApiModelProperty("是否删除0否1是")
    private Integer isDelete;

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

