package com.ylx.massage.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.massage.domain.Coupon;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 优惠券的规则信息(Coupon)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-13 16:32:59
 */
public interface CouponMapper extends BaseMapper<Coupon> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Coupon> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Coupon> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<Coupon> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<Coupon> entities);

}

