package com.ylx.massage.mapper;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.massage.domain.TConsumptionLog;
import com.ylx.massage.domain.vo.HomeBlock;
import org.apache.ibatis.annotations.Param;


/**
 * 个人钱包记录表(TConsumptionLog)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-25 16:50:31
 */
public interface TConsumptionLogMapper extends BaseMapper<TConsumptionLog> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TConsumptionLog> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TConsumptionLog> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TConsumptionLog> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TConsumptionLog> entities);

    List<HomeBlock> getBlockGetAmount(@Param("start") Date start, @Param("end") Date end, @Param("deptId") String deptId);
}

