package com.ylx.massage.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.TJsDay;

/**
 * 技师数据统计(TJsDay)表数据库访问层
 *
 * @author makejava
 * @since 2024-08-14 18:00:30
 */
public interface TJsDayMapper extends BaseMapper<TJsDay> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TJsDay> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TJsDay> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TJsDay> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TJsDay> entities);

    List<TJsDay> selectRanking(@Param("deptName") String deptName, @Param("deptId") String deptId, @Param("start") String start, @Param("end") String end);

}

