package com.ylx.massage.mapper;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.TSign;

/**
 * 签到表(TSign)表数据库访问层
 *
 * @author makejava
 * @since 2024-08-12 10:52:24
 */
public interface TSignMapper extends BaseMapper<TSign> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TSign> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TSign> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TSign> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TSign> entities);

    Integer getOnLineTime(@Param("jsId") String jsId, @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}

