package com.ylx.massage.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.massage.domain.YlxAlarm;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 报警记录表(YlxAlarm)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-28 09:19:04
 */
public interface YlxAlarmMapper extends BaseMapper<YlxAlarm> {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    YlxAlarm queryById(String id);

    /**
     * 查询指定行数据
     *
     * @param ylxAlarm 查询条件
     * @param pageable 分页对象
     * @return 对象列表
     */
    List<YlxAlarm> queryAllByLimit(YlxAlarm ylxAlarm, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param ylxAlarm 查询条件
     * @return 总行数
     */
    long count(YlxAlarm ylxAlarm);


    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<YlxAlarm> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<YlxAlarm> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<YlxAlarm> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<YlxAlarm> entities);

    /**
     * 修改数据
     *
     * @param ylxAlarm 实例对象
     * @return 影响行数
     */
    int update(YlxAlarm ylxAlarm);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(String id);

}

