package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.Coupon;
import com.ylx.massage.domain.CouponReceive;
import com.ylx.massage.domain.vo.CouponReceiveVo;

import java.util.List;

/**
 * 优惠券领取表(CouponReceive)表服务接口
 *
 * @author makejava
 * @since 2024-05-14 11:25:45
 */
public interface CouponReceiveService extends IService<CouponReceive> {

    /*
     * 领取优惠卷
     */
    Coupon submit(CouponReceive couponReceive);


    List<CouponReceiveVo> getByOpenId(String openid);

    void removeCoupons(List<CouponReceiveVo> coupons);
}

